package org.dromara.domain.vo;

import lombok.Data;
import org.dromara.domain.SenMonitorPoint;
import org.dromara.system.domain.SysArea;

import java.util.ArrayList;
import java.util.List;

/**
 * @author luogang
 */
@Data
public class MonitorTreeVo {
    private Long areaId;
    private String areaName;
    private Long parentId;
    private Integer areaLevel;
    private List<MonitorTreeVo> children;
//    private List<SenMonitorPoint> monitorPoints;

    public MonitorTreeVo(SysArea area) {
        this.areaId = area.getAreaId();
        this.areaName = area.getAreaName();
        this.parentId = area.getParentId();
        this.areaLevel = area.getAreaLevel();
        this.children =new ArrayList<>();
//        this.monitorPoints=new ArrayList<>();
    }

}